## Class TSecurityManagerValidationMode

Description

TSecurityManagerValidationMode class.

TSecurityManagerValidationMode defines the enumerable type for the possible validation modes that can be used by TSecurityManager.

The following enumerable values are defined:

- MD5: an MD5 hash is generated from the data and used for validation.
- SHA1: an SHA1 hash is generated from the data and used for validation.

- since: 3.0.4
- version: $Id: TSecurityManager.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Security/TSecurityManager.php (line 276)

    TEnumerable
       |
       --TSecurityManagerValidationMode

Class Constant Summary
MD5 = 'MD5'
SHA1 = 'SHA1'
Class Constants
MD5 = 'MD5' (line 278)
SHA1 = 'SHA1' (line 279)

Documentation generated on Mon, 21 Apr 2008 11:36:10 -0400 by phpDocumentor 1.3.0RC4